Bug 203905 - CUPS copies old PPD options to new PPD
Summary: CUPS copies old PPD options to new PPD
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update 213401
TreeView+ depends on / blocked
 
Reported: 2006-08-24 12:46 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 17:12:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2006-08-24 12:46:49 UTC
Description of problem:
When we change the PPD of a printer, we needn't ask the user whether to copy the
options over or to keep it as is -- CUPS always copies over the old options
regardless.

(In fact it does this blindly, without checking that the enums have matching
choices [STR #1929], but this is a CUPS bug that will be fixed).

So we ought to take out that screen from the change-PPD dialog.

Version-Release number of selected component (if applicable):
0.7.26-1

Comment 1 Tim Waugh 2006-11-01 10:55:26 UTC
..or alternatively, fix the implementation by setting the driver to 'raw' first
and then supplying the PPD.  This prevents CUPS from copying the options over.

Comment 2 Fedora Update System 2006-11-09 17:01:58 UTC
Fixed in update: system-config-printer-0.7.35-1.fc6


Note You need to log in before you can comment on or make changes to this bug.